summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/passmenu4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/passmenu b/bin/passmenu
index 3b3fee2..e81a29a 100755
--- a/bin/passmenu
+++ b/bin/passmenu
@@ -1,8 +1,10 @@
 #!/bin/bash
 
-set -e
+set -eo pipefail
 [ -n "$DEBUG" ] && set -x
 
+trap '{ notify-send -a passmenu -i "$(iconez -n form-textbox-passworrd)" -c error "passmenu: failed :(" "<i>pipefail</i>"; exit 1; }' ERR
+
 # check requirements
 for tool in bemenu fd fzf; do
 	if ! command -v "$tool" >/dev/null; then